<?php //ヘッダーエリア
/**
 * Cocoon WordPress Theme
 * @author: yhira
 * @link: https://wp-cocoon.com/
 * @license: http://www.gnu.org/licenses/gpl-2.0.html GPL v2 or later
 */
if (!defined('ABSPATH')) exit; ?>

<div id="header-container" class="header-container">
  <div id="header-container-in" class="header-container-in<?php echo get_additional_header_container_classes(); ?>">
    <header id="header" class="header<?php echo get_additional_header_classes(); ?> cf" itemscope itemtype="https://schema.org/WPHeader">

      <div id="header-in" class="header-in wrap cf" itemscope itemtype="https://schema.org/WebSite">

        <?php //キャッチフレーズがヘッダー上部のとき
        if (is_tagline_position_header_top()) {
          get_template_part('tmp/header-tagline');
        } ?>

        <?php //ロゴ前にコードを挿入するためのアクションフック
        do_action('wp_header_logo_before_open'); ?>

        <?php //ロゴタグの生成
        generate_the_site_logo_tag(); ?>

        <?php //ロゴ後にコードを挿入するためのアクションフック
        do_action('wp_header_logo_after_open'); ?>

        <?php //キャッチフレーズがヘッダー下部のとき
        if (is_tagline_position_header_bottom()) {
          get_template_part('tmp/header-tagline');
        } ?>

      </div>

    </header>

    <?php get_template_part('tmp/navi'); ?>

    <div class="header-imageArea">
      <?php if (is_front_page()) : ?>
        <?php if (is_added_img()) : ?>
          <img src="<?php echo get_added_img_url(); ?>" class="header-top-image" />
        <?php else :  ?>
          <img src="<?php echo esc_url(get_template_directory_uri()) ?>/images/kari_image.jpg" class="header-top-image" />
        <?php endif; ?>
        <p class="header-image-text"><?php if (!empty(get_theme_mod('add_control'))) {
                                        echo get_theme_mod('add_control');
                                      } ?></p>
      <?php endif; ?>

    </div>

  </div><!-- /.header-container-in -->
</div><!-- /.header-container -->